:root{
    --background-color: #000000;
    --darker-background-color: #000000;
    --text-color: #FFFFFF;
    --navbar-height: 80px;

}
*{
    margin: 0;
    padding: 0;
    font-size: 22px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: var(--text-color);
 
}
html{
    height: 100%;

}
body{
    height: 100%;


}
nav{
    height: var(--navbar-height);
    background-color: var(--background-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    border-radius : 10px 25% 20px;

}
nav .logo{
    margin-left: 30px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 35px;
    font-variant: small-caps;
    text-decoration: none;
    display: flex;
 
}
nav ul{
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    list-style: none;
    border-bottom: 4px solid rgb(0, 0, 0);
    border-radius : 10px 25% 20px;
  
}
nav li{
    height: 100%;
    width: 150px;
    text-align: center;
    position: relative;
    border-radius : 10px 25% 20px;

}
nav li:hover{
    background: var(--accent-color);
    border-bottom: 4px solid rgb(111,0,255);
}
nav ul a{
    height: 100%;
    width: 100%;

    display: flex;
    justify-content: center;
    align-items: center;

    text-decoration: none;

    border-radius : 10px 25% 20px;

}


.dropdown{
    height: min-content;
    width: 250px;
    background: var(--background-color);

    display: none;
    flex-direction: column;
    
    position: absolute;
    left: 0;
    top: var(--navbar-height);   
    border-radius : 10px 25% 20px;
}
.dropdown li{
    height: 70px;
    width: 100%;
    border-radius : 10px 25% 20px;
}
.dropdown li a{
    justify-content: flex-start;
    padding-left: 30px;
    width: calc(100% - 30px);
    border-radius : 10px 25% 20px;
}
nav li:hover .dropdown{
    display: flex;
    border-radius : 10px 25% 20px;
}
nav input[type="checkbox"]{
    display: none;
}
.expandable_li{
    display: flex;
    justify-content: center;
    align-items: center;
}
.toggle_button{
    width: 30px;
    height: 23px;

    position: absolute;
    top: 25px;
    right: 25px;

    display: none;
    flex-direction: column;
    justify-content: space-between;
}
.bar{
    height: 4px;
    width: 100%;
    background: var(--text-color);
    border-radius: 100px;
    border-radius : 10px 25% 20px;
}
.tinsta{
    width: 60%;
    
    margin: 0;
}
.insta{
    width: 20%;
    text-decoration: none;
    margin-left: 10%;
   
}

.juh{
    width: 50%;
    margin: 0;
    margin-left: 25%;
    margin-top: 22%;
}

.juh{
    width: 50%;
    margin: 0;
    margin-left: 25%;
    margin-top: 22%;
}

.bild2{
    width: 2%;
    margin-right: 50%;
    display: none;
    margin: 0;
}



@media(max-width: 1320px){
    .bild2{
        width: 5.5%;
        margin-right: 0%;
        margin: 0;
        display: flex;
    }
    nav .logo{
        margin-left: 30px;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 35px;
        font-variant: small-caps;
        text-decoration: none;
        display: none;
    }
}
.spec{
    color: black;
    background-color: white;
    display: none;
}
.spec1{
    color: white;
    background-color: black;
    display: none;
}
.spec1:hover{
    color: black;
    background-color: white;
    display: none;
}
@media(max-width: 1110px){

    .bild2{
        width: 7.25%;
        margin-right: 0%;
        margin: 0;
        display: flex;
    }
    .toggle_button{
        display: flex;
        margin-top: 21%;
    }
    nav ul{
        height: min-content;
        width: 100%;
        background-color: var(--background-color);

        display: none;
        position: absolute;
        top: var(--navbar-height);
    }
    nav li{
        height: min-content;
        width: 100%;
        
    }
    nav ul a{
        padding: 30px 0;
    }
    .expandable_li{
        display: block;
    }
    .expandable_li label{
        padding: 30px 0;
        cursor: pointer;
        display: block;
    }
    .expandable_li:hover .dropdown{
        display: list-item;
        display: block;
        text-decoration: none;
    }
    .expandable_li input[type="checkbox"]:checked ~ .dropdown{
        display: block;
    }
    .dropdown{
        position: static;
        width: 100%;
        
    }
    .dropdown li{
        padding: 0;
        display: block;
        position: static;
        background: var(--darker-background-color);
        
    }
    .dropdown li a{
        width: 100%;
        padding: 0;
        justify-content: center;
    }
    #toggle_button:checked ~ ul{
        display: block;
        margin-top: 21%;
    }

    .tinsta{
        width: 15%;
        
        margin: 0;
    }
    
    .juh{
        width: 98%;
        margin-left: 1%;
        
    }
    
    .insta{
        width: 10%;
        text-decoration: none;
        margin-left: 5%;
       
    }
    .juh{
        width: 98%;
        margin-left: 1%;
        
    }
}

@media(max-width: 1078px){
    .bild2{
        width: 5.5%;
        margin-right: 0%;
        margin: 0;
        display: none;
    }
    nav .logo{
        margin-left: 30px;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 35px;
        font-variant: small-caps;
        text-decoration: none;
        display: flex;
    }
}

@media(max-width: 300px){
    .bild2{
        width: 5.5%;
        margin-right: 0%;
        margin: 0;
        display: flex;
    }
    nav .logo{
        margin-left: 30px;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 35px;
        font-variant: small-caps;
        text-decoration: none;
        display: none;
    }
}

@media(max-width: 400px){
    .bild2{
        width: 5.5%;
        margin-right: 0%;
        margin: 0;
        display: none;
    }
    nav .logo{
        margin-left: 30px;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 35px;
        font-variant: small-caps;
        text-decoration: none;
        display: flex;
    }
}

@media(max-width: 315px){
    .bild2{
        width: 5.5%;
        margin-right: 0%;
        margin: 0;
        display: none;
    }
    nav .logo{
        margin-left: 30px;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 20px;
        font-variant: small-caps;
        text-decoration: none;
        display: flex;
    }
}

@media(max-width:224px){
   
    .bild2{
        width: 20%;
        margin-right: 0%;
        margin: 0;
        display: flex;
    }
    nav .logo{
        margin-left: 30px;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 20px;
        font-variant: small-caps;
        text-decoration: none;
        display: none;
    }
}


